Subject: [mpls] A brief comment on draft-nadeau-pwe3-vccv-2-01.txt

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 11 Mar 2011 09:15:03 +0200

Tom, Luca and all,
I've read the draft.

The draft defines a new VCCV type for PWs that do not use the CW.
VCCV packets for this type look like following (copy and paste from the draft):

0                   1                   2                   3
0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                              GAL                              |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                            PW Label                           |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|0 0 0 1|Version|   Reserved    |  Associated Channel Type      |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                                                               |
~                        VCCV Message Body                      ~
|                                                               |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

The draft further says that "The PW Label must set the TTL field to 1.

In the case of multi-segment pseudo-wires, the PW Label TTL MUST be set

to the correct value to reach the intended destination PE as described
in [RFC6073]".

The proposed format seems to stretch to the limit the somewhat vague waiver in RFC 5586 (highlighted in the quoted text):

<quote>

   In MPLS-TP, the GAL MUST be used with packets on a G-ACh on LSPs,
   Concatenated Segments of LSPs, and with Sections, and MUST NOT be
   used with PWs.  It MUST always be at the bottom of the label stack
   (i.e., S bit set to 1).  However, in other MPLS environments, this
   document places no restrictions on where the GAL may appear within
   the label stack or its use with PWs.  Where the GAL is at the bottom
   of the label stack (i.e., S bit set to 1), then it MUST always be
   followed by an ACH.
<end quote>

This format also seems to contradict draft-ietf-pwe3-mpls-tp-gal-in-pw (and, IMHO, makes it completely unnecessary).

Please note that:

 1.  The function of GAL in this case seems to be limited to forwarding the packet to a control entity at the tail-end of the tunnel.
 2.  RFC 5586 does not define how the packets with GAL exposed are forwarded (if at all) if GAL is exposed but is not at the bottom of the label stack.

Hence my comments:

 1.  The draft must explicitly define how the packets with the GAL exposed in the Label Stack are forwarded (similar to what has been done for the Router Alert label in RFC 3032), and must state that it updates RFC 5586 in this regard. Without such a change, VCCV Type 4 would not be applicable MS-PWs.
 2.  The ACH type for static PW status messages (as defined in draft-ietf-pwe3-static-pw-status) should be added to the explicit lists of ACH types supported with the new VCCV type. Such a list appears in Section 3 of the draft. Alternatively, explicit specification of allowed ACH types could be removed from the draft.

Regards,

     Sasha